<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
      crossorigin="anonymous"
    ></script>
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl"
      crossorigin="anonymous"
    />
    <style>
      canvas:hover {
        outline: none;
      }

      .canvas-container {
        position: relative;
        width: 100%;
        padding-top: 100%; /* 16:9 Aspect Ratio */
      }

      #pictofit-web-viewer {
        position: absolute;
        top: 0;
        width: 100%;
        height: 100%;
        outline: none;
      }

      .disabled img {
        opacity: 0.5;
      }

      #canvasSpinner {
        width: 40px;
        height: 40px;
        display: none;
        margin: auto;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
      }
    </style>
  </head>
  <body>
    <div class="container">
      <div class="row">
        <div class="col-6">
          <div class="canvas-container">
            <pictofit-web id="pictofit-web-viewer"></pictofit-web>
            <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true" id="canvasSpinner"></span>
          </div>
        </div>
        <div class="col-6">
          <h3 class="my-3">2D Virtual Dressing Room</h3>
          <span id="txtStatus"></span>
          <p></p>
          <div class="container">
            <button type="button" class="btn btn-dark" id="btnAvatar">
              <span
                class="spinner-border spinner-border-sm"
                style="display: none"
                role="status"
                aria-hidden="true"
                id="button-creator-spinner"
              ></span>
              <span id="button-creator-text">Next Avatar</span>
            </button>
            <p></p>
            <button type="button" class="btn btn-dark" id="btnOutfit">
              <span
                class="spinner-border spinner-border-sm"
                style="display: none"
                role="status"
                aria-hidden="true"
                id="button-creator-spinner"
              ></span>
              <span id="button-creator-text">Next Outfit</span>
            </button>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>
